Bug 170966 - Continuous USB -related errors
Continuous USB -related errors
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-16 14:30 EDT by Christophe Lambin
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:50:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Lambin 2005-10-16 14:30:52 EDT
I've been running kernel 2.6.13-1.1526_FC4smp since one week now. Today I'm
getting a flood of USB-related messages on /var/log/messages. This started
happening after booting the system today.

The message are:

Oct 16 10:48:19 localhost kernel: usb 1-4: new high speed USB device using
ehci_hcd and address 7
Oct 16 10:48:19 localhost kernel: usb 1-4: device descriptor read/64, error -71
Oct 16 10:48:19 localhost kernel: usb 1-4: device descriptor read/64, error -71

The error started approx. 1.5 hours after boot and is being reported
continuously, with the address looping between 2 and 127.  

The errors are related to a 'new high speed USB device', but no new USB devices
have been added recently. I have my USB mouse and USB keyboard connected, but
that's always been the case and didn't seem to be an issue for the last week of
running 2.6.13-1.1526_FC4smp.
Comment 1 Christophe Lambin 2005-10-16 14:41:36 EDT
More info:  the device in question is the USB hub on my Dell 1704 monitor.  If I
remove the USB cable between the monitor and my compuyer, the errors stop.
Comment 2 Pete Zaitcev 2005-10-17 19:37:50 EDT
Sounds like a hardware problem. Perhaps the hub loses power when the
monitor goes blank or something like that.
Comment 3 Dave Jones 2005-11-10 15:16:48 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Christophe Lambin 2005-11-19 03:39:31 EST
Still the case in 2.6.14-1.1637_FC4.
Comment 5 Pete Zaitcev 2005-12-20 02:35:47 EST
I am quite sure that the device is in fact toasted.
Comment 6 Dave Jones 2006-02-03 01:05:02 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 08:50:45 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.